antiprism-0.23
Up Next

# off2vrml - convert an OFF file to VRML format

Usage | Examples | Notes

## Usage

    Usage: off2vrml [options] input_files

    Convert files in OFF format to VRML format. If input_files are not
    given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -v <rad>  radius of vertex spheres, or 'b' to have radius of balls
                of the maximum size without overlap (default: ball_rad/15)
      -e <rad>  radius of edge cylinders (default: vertex_rad/1.5)
      -V <col>  default vertex colour, in form 'R,G,B,A' (3 or 4 values
                0.0-1.0, or 0-255) or hex 'xFFFFFF' (default: 1.0,0.5,0.0)
      -E <col>  default edge colour, in form 'R,G,B,A' (3 or 4 values
                0.0-1.0, or 0-255) or hex 'xFFFFFF', 'x' to hide implicit edges
                (default: 0.8,0.6,0.8)
      -F <col>  default face colour, in form 'R,G,B,A' (3 or 4 values
                0.0-1.0, or 0-255) or hex 'xFFFFFF' (default: 0.8,0.9,0.9)
      -x <elms> hide elements. The element string can include v, e and f
                to hide vertices, edges and faces
      -n <elms> show element index number labels. The element string can
                include v, e and f to label vertices, edges and faces
      -s <syms> show symmetry elements. The element string can include
                   x - rotation axes
                   m - mirror planes
                   r - rotation-reflection planes
                   a - all elements (same as xmr)
      -m <maps> a comma separated list of colour maps used to transform colour
                indexes, a part consisting of letters from v, e, f, selects
                the element types to apply the map list to (default 'vef').
      -t <disp> select face parts to display according to winding number from:
                odd, nonzero (default), positive, negative, no_triangulation
                (use native polygon display)
      -l        use lines for edges, points for vertices, in default colours
      -o <file> write output to file (default: write to standard output)

      Scene options
      -D <dist> distance to camera
      -C <cent> centre of points, in form 'X,Y,Z'
      -L <look> point to look at, in form 'X,Y,Z'
                (default, points centre)
      -R <rot>  rotate about axes through centre of points, in
                form 'X-ang,Y-ang,Z-ang' (degrees)
      -B <col>  background colour, in form 'R,G,B,A' (3 or 4 values
                0.0-1.0, or 0-255) or hex 'xFFFFFF'

      Precision options
      -d <dgts> number of significant digits (default 17) or if negative
                then the number of digits after the decimal point

## Examples

Display a ball pack as balls

    packer 2 10 |  off2vrml -xef -v b -o pack.wrl

Display an icosahedron without its faces

    off2vrml -x f -o icosa.wrl icosahedron

Display an icosahedron without its vertex or edge elements

    off2vrml -x ef -o icosa.wrl icosahedron

Display an icosahedron with thin vertex and edge elements

    off2vrml -v 0.01 -e 0.008 -o icosa.wrl icosahedron

Display a polyhedron with self-intersecting polygons, using transparent faces

    polygon -t anti 5/3 | off2vrml -F 0.3,0.6,0.8,0.5 -o anti.wrl

## Notes

When viewing in the VRML browser the rotation centre will most likely be assigned to the Look At point. Rotations given with option -R happen prior to viewing and use the actual rotation centre.

Use -v b to draw ball packs.

OFF files with a lot of elements will produce large VRML files that may be difficult to render on some machines. Excluding vertex and edge elements will greatly reduce the resources required to render the VRML file.

Up: Programs and Documentation
Next: off2m - convert an OFF file for LiveGraphics3D